#!/bin/sh
# parametros-longos.sh - exemplo de como ler parmetros longos
# 2003-07-25 Aurelio Marinho Jargas

# Funo que mostra a tela de ajuda e sai
Uso(){
	echo "
uso: $0 [OPES]

OPES:
	-m, --message MSG      Mostra a mensagem MSG na tela
	-h, --help             Mostra esta tela de ajuda
	-V, --version          Mostra a verso do programa
"
	exit 0
}

# Erro de falta de argumento
FaltaArg(){
	echo "Faltou o argumento para a opo $1"
	exit 1
}

# Loop nas opes recebidas na linha de comando
# Aps processada uma opo, o shift  usado para passar
# para a prxima 
#       
while [ "$1" ]; do
	case $1 in
	-h|--help)
		Uso;;
	-V|--version)
		echo $0 verso 0.1;;
	-m|--message)
		[ "$2" ] || FaltaArg $1 ; echo "$2"; shift;;
	*)
		echo ERRO: Opo desconhecida $1;;
	esac
	shift
done
