#/bin/sh
# google.sh - Aurlio Marinho Jargas (nov/2003)
# Uma interface modo texto simples para o Google
#

URL='http://www.google.com.br/search'
NUM_RESPOSTAS=10              # O padro  10 respostas
ARQ_TMP="/tmp/google"         # Arquivo temporrio

# Quando chamado sem parmetros, mostra o uso 
[ "$1" ] || { 
	echo "uso: $0 [-n <nmero>] palavra(s)"
	exit 1
}

# O usurio passou o nmero de respostas?
# Se sim, vamos salv-lo
if [ "$1" = '-n' ]; then
	NUM_RESPOSTAS=$2
	shift
	shift
fi

# O que sobrou de parmetros  o texto desejado
# de pesquisa. Os espaos so trocados por +
TXT=`echo $* | sed 's/ /+/g'`

# Checagem bsica, sem texto, pra que pesquisar?
if [ -z "$TXT" ]; then
	echo "Faltou passar o texto de pesquisa"
	exit 1
fi

# Aqui colocamos os valores do formulrio na URL
URL="$URL?q=$TXT&num=$NUM_RESPOSTAS&ie=ISO-8859-1&hl=pt-BR"

# E finalmente: "Pega Google, pega!"
# O lynx acessa a URL mgica e joga para o arquivo temporrio
# o cdigo HTML da pgina de resultado do Google.
lynx -width=300 -source "$URL" > $ARQ_TMP

# Analise o contedo deste arquivo.
# So QUILOS de cdigo HTML indecifrvel e amontoado.
# Tudo o que interessa de cada resultado  a URL e o ttulo.
# Aps uma anlise cuidadosa,  possvel notar que estas
# informaes esto sempre aps um '<p class=g>'

# O primeiro passo  pegar somente as linhas que tm este
# padro, e apagar tudo desde o incio da linha at o padro.
fgrep '<p class=g>' $ARQ_TMP | sed 's/.*<p class=g>//' > $ARQ_TMP.passo1

# Agora a URL est no comeo de cada linha, no formato
# <a href=http://www.abc.com/>Ttulo da Pgina</a><font si...
# O passo dois  retirar o lixo, apagando o '<a href=' do
# incio da linha e apagando do '</a>' em diante at o fim
# da linha, que  lixo.
# O segundo s/// do sed ficou como s||| para evitar confuso
# com a barra do </a>
sed 's/^<a href=// ; s|</a>.*||' $ARQ_TMP.passo1 > $ARQ_TMP.passo2

# Beleza, estamos quase l. Junto com os ttulos tem uns <b> e </b>
# que tambm devem ser retirados
sed 's|<b>||g ; s|</b>||g' $ARQ_TMP.passo2 > $ARQ_TMP.passo3

# Procurando por 'shell-script' o arquivo temporrio .passo3
# tem o seguinte formato:
# http://www.shellscript.com/>ShellScript.com - Unix Shell Script
# O que est faltando,  melhorar essa formatao.
# No caso trocar o '>' por uma quebra de linha (ENTER) j
# vai dar uma boa diferena
cat $ARQ_TMP.passo3 | tr '>' '\n' > $ARQ_TMP.passo4

# Veja como ficou o .passo4:
# http://www.shellscript.com/
# ShellScript.com - Unix Shell Script
# http://vertigo.hsrl.rutgers.edu/ug/shell_help.html
# How to write a shell script
#
# Uma URL, um ttulo, uma URL, um ttulo e assim vai
# Para dar o toque final a essa escultura, basta alinhar
# os ttulos algumas posies para a direita, para
# facilitar a visualizao.
# Aqui precisamos de um pouco de mgica do sed.
sed '/^http:/! s/^/    /' $ARQ_TMP.passo4

# Pronto! O resultado j foi mandado para a tela, assim:
# http://www.shellscript.com/
#     ShellScript.com - Unix Shell Script
# http://vertigo.hsrl.rutgers.edu/ug/shell_help.html
#     How to write a shell script
#
# S resta agora apagar os arquivos temporrios
# A linha est comentada para que voc possa analisar
# os arquivos.
#rm $ARQ_TMP ; rm $ARQ_TMP.passo*


# Lio de casa:
# Separar melhor as respostas, colocando uma linha em
# branco antes de cada URL para ficar mais legvel,
# assim:
#
# http://www.shellscript.com/
#     ShellScript.com - Unix Shell Script
#
# http://vertigo.hsrl.rutgers.edu/ug/shell_help.html
#     How to write a shell script
#
# http://...
