#!/bin/sh
# mensagem1.sh - L a configurao do mensagem.conf e mostra mensagem
# 2003-07-12 Aurelio Marinho Jargas
#
# BUGS: no aplica config, no sai no "exit 1"

CONF=mensagem.conf
usar_cores=0
cor_letra=
cor_fundo=
mensagem='nenhuma mensagem definida!'

# Guarde em $LINHA cada linha do arquivo de configurao
cat $CONF | while read LINHA; do

	# DICA:
	# Basta referenciar o $LINHA "sem aspas" para que todos
	# os Brancos do incio e fim da linha sejam removidos,
	# o os espaos e TABs entre a Chave e o Valor sejam
	# convertidos para apenas um espao normal
	#
	# Descomente as linhas seguintes para testar
	#echo Com aspas: "$LINHA"
	#echo Sem aspas: $LINHA

	# Ignorando as linhas de comentrio
	[ "`echo $LINHA | cut -c1`" = '#' ] && continue
	#echo $LINHA

	# Ignorando as linhas em branco
	[ "$LINHA" ] || continue
	#echo $LINHA

	# Guardando as "palavras" da linha em $1, $2, ...
	set - $LINHA
	
	# Mantendo o Debug aps o set - 
	#set -x

	# Extraindo os dados
	chave=$1
	shift
	valor=$*
	#echo "$chave = $valor"

	# Processando as configuraes encontradas
	case "$chave" in
	
	UsarCores)
		if [ "$valor" = '1' -o "$valor" = 'ON' ]; then
			usar_cores=1
		fi
		;;
	CorFundo)
		cor_fundo=$valor
		;;
	CorLetra)
		cor_letra=$valor
		;;
	Mensagem)
		mensagem=$valor
		;;
	*)
		echo "Erro no arquivo de configurao"
		echo "Opo desconhecida '$chave'"
		exit 1
		;;
	esac
done

if [ $usar_cores -eq 1 ]; then
	# mostrar mensagem colorida
	echo -e "\033[$cor_fundo;${cor_letra}m$mensagem\033[m"
else
	# no usar cores
	echo -e "$mensagem"
fi

