#!/bin/sh
# parser-lib.sh - L arquivos de configurao e define variveis
# 2003-07-12 Aurelio Marinho Jargas
#

Le(){
	[ "$CONF" ] || {
		echo Erro: Primeiro defina a varivel \$CONF
		return 1
	}

	# Guarde em $LINHA cada linha do arquivo de configurao
	while read LINHA; do

		# Ignorando as linhas de comentrio e linhas em branco
		[ "`echo $LINHA | cut -c1`" = '#' ] && continue
		[ "$LINHA" ] || continue

		# Guardando as "palavras" da linha em $1, $2, ...
		set - $LINHA

		# Extraindo os dados
		chave=`echo $1 | tr a-z A-Z`
		shift
		valor=$*

		# Normalizando valores booleanos
		case "$valor" in
		[Oo][Nn])     valor='on' ;;
		[Oo][Ff][Ff]) valor='off';;
		esac

		# Salvando os dados com o prefixo CONFIG_
		eval "CONFIG_$chave=\"$valor\""

	done < $CONF
}

PegaValor(){
	[ "$1" ] || {
		echo Erro: PegaValor: passe a chave como \$1
		return 1
	}

	chave=`echo $1 | tr a-z A-z`
	eval echo \$CONFIG_$chave
}

Le
