#!/bin/sh
# parser-prof.sh - L arquivos de configurao e define variveis
# 2003-07-12 Aurelio Marinho Jargas
#
# Extras: Normatizao de campos booleanos

CONF=$1

# Checagem da linha de comando
if [ -z "$CONF" ]; then
	echo Uso: parser arquivo.conf
	exit 1
fi

# Guarde em $LINHA cada linha do arquivo de configurao
while read LINHA; do

	# DICA:
	# Basta referenciar o $LINHA "sem aspas" para que todos
	# os Brancos do incio e fim da linha sejam removidos,
	# o os espaos e TABs entre a Chave e o Valor sejam
	# convertidos para apenas um espao normal
	#
	# Descomente as linhas seguintes para testar
	#echo Com aspas: "$LINHA"
	#echo Sem aspas: $LINHA

	# Ignorando as linhas de comentrio
	[ "`echo $LINHA | cut -c1`" = '#' ] && continue
	#echo $LINHA

	# Ignorando as linhas em branco
	[ "$LINHA" ] || continue
	#echo $LINHA

	# Guardando as "palavras" da linha em $1, $2, ...
	set - $LINHA
	
	# Mantendo o Debug aps o set - 
	#set -x

	# Extraindo os dados
	chave=`echo $1 | tr a-z A-Z`
	shift
	valor=$*

	# Normalizando valores booleanos
	case "$valor" in
	[Oo][Nn])
		valor='on';;
	[Oo][Ff][Ff])
		valor='off';;
	esac

	# Cuspindo a configurao na STDOUT
	echo "$chave=\"$valor\""

done < $CONF
