#!/bin/sh
# apaga2.sh - Apaga um registro do banco de dados
# 2003-07-09 Aurelio Marinho Jargas
#
# Melhorias e problemas resolvidos:
#  - Checagem da linha de comando
#  - Desligada a sada do primeiro grep
#  - Mensagem final "desgrudada" da listagem do arquivo
#  - Algoritmo de busca mais preciso
#


# arquivo onde esto os dados
BANCO=dados.txt

# checagem da linha de comando
# se no tiver um parmetro, mostra mensagem e sai
if [ $# -ne 1 ]; then
	echo "uso: $0 <chave>"
	exit 1
fi

# OK! o usurio passou um parmetro, vamos us-lo
CHAVE=$1

# se a chave passada pelo usurio estiver no banco...
# a chave *deve* estar no comeo da linha (^) e teminar com :
if grep -qs "^$CHAVE:" $BANCO; then

	# apaga a sua linha da chave
	# e guarda o resultado num arquivo temporrio
	grep -v "^$CHAVE:" $BANCO > temp
	
	# regrava o banco sem a chave apagada
	# desabilitado at termos certeza
	#mv temp $BANCO
	cat temp
	echo
	
	echo "Registro $CHAVE apagado."

# se a chave no estiver no banco, nada a fazer
else	
	echo "Registro $CHAVE no encontrado."
fi
