#!/bin/sh
# apaga3.sh - Apaga um registro do banco de dados
# 2003-07-09 Aurelio Marinho Jargas
#
# Melhorias e problemas resolvidos:
#  - Arquivo temporrio guardado num varivel
#  - Padro de pesquisa centralizado em $PADRAO
#  - Opo de ignorar ou no a diferena de maisculas e minsculas
#


# arquivo onde esto os dados
BANCO=dados.txt
# arquivo temporrio
TEMP=temp
# tratar da mesma forma maisculas e minsculas? (use '-i' ou nada)
MAIUMINU=''

# checagem da linha de comando
# se no tiver um parmetro, mostra mensagem e sai
if [ $# -ne 1 ]; then
	echo "uso: $0 <chave>"
	exit 1
fi

# OK! o usurio passou um parmetro, vamos us-lo
CHAVE=$1
# o padrao da chave  estar no comeo da linha (^) e teminar com :
PADRAO="^$CHAVE:"

# se a chave passada pelo usurio estiver no banco...
if grep $MAIUMINU -qs "$PADRAO" $BANCO; then

	# apaga a sua linha da chave
	# e guarda o resultado num arquivo temporrio
	grep -v $MAIUMINU "$PADRAO" $BANCO > $TEMP
	
	# regrava o banco sem a chave apagada
	# desabilitado at termos certeza
	#mv $TEMP $BANCO
	cat $TEMP
	echo
	
	echo "Registro $CHAVE apagado."

# se a chave no estiver no banco, nada a fazer
else	
	echo "Registro $CHAVE no encontrado."
fi
