#!/bin/bash
# insere2-elite.sh - Insere um registro do banco de dados
# 2003-07-09 Aurelio Marinho Jargas
#
# Verso Elite :)


BANCO=dados.txt 				# arquivo onde esto os dados

IFS=:						# o :  o separador padro
CAMPOS=`head -1 $BANCO`				# nomes dos campos na 1a linha
registro=''					# reseta registro do usurio

for campo in $CAMPOS; do			# para cada campo...
	echo -n "Informe o '$campo': "		# pede o valor ao usurio
	read valor				# l o valor digitado
	registro="$registro:$valor"		# guarda o valor
done

registro=`echo "$registro" | cut -c 2-`		# retira primeiro : do registro
chave=`echo "$registro" | cut -d: -f1`		# extrai a chave do registro

if [ -z "$chave" ]; then			# checa se a chave est vazia
	echo "ERRO: A chave (1o campo) no pode ser vazia"
	exit 1
fi

if grep -qs "^$chave:" $BANCO; then		# a chave j est no banco?
	echo "A chave '$chave' j est cadastrada no banco."
else						# chave nova, vamos cadastrar
	echo "$registro" >> $BANCO		# gravando o registro no banco
	echo "Registro de '$chave' cadastrado com sucesso."
fi


# vim:ts=8
