#!/bin/sh
# insere2.sh - Insere um registro do banco de dados
# 2003-07-09 Aurelio Marinho Jargas
#
# Melhorias e problemas resolvidos:
#  - **ATENO** Esta verso *grava* o registro no banco
#  - Retirado primeiro : do registro
#  - Checagem se a chave j existe no banco
#  - Checagem de chave vazia


# aqui definimos o arquivo onde esto os dados
BANCO=dados.txt

# como nossos dados so separados por :, esse ser o separador padro
IFS=:

# extrai a primeira linha do banco, onde esto os nomes dos campos
CAMPOS=`head -1 $BANCO`

# reseta a varivel que conter todo o registro do usurio
registro=''

# para cada campo...
for campo in $CAMPOS; do

	# pede ao usurio para digitar o valor
	echo -n "Informe o '$campo': "

	# l o valor digitado pelo usurio
	read valor

	# guarda esse valor junto com os demais, compondo a linha
	registro="$registro:$valor"
done

# retirando primeiro : do registro que est sobrando
registro=`echo "$registro" | cut -c 2-`

# extraindo a chave desse registro (1o campo)
chave=`echo "$registro" | cut -d: -f1`

# checando se a chave no est vazia
if [ -z "$chave" ]; then
	echo "ERRO: A chave (1o campo) no pode ser vazia"
	exit 1
fi

# se a chave j est no banco, no insere
if grep -qs "^$chave:" $BANCO; then
	echo "A chave '$chave' j est cadastrada no banco."

# chave nova, vamos cadastrar
else
	# gravando o registro novo no banco
	echo "$registro" >> $BANCO
	
	echo "Registro de '$chave' cadastrado com sucesso."
fi
