#!/bin/sh
# encadeado.sh - o script que chega at o final
#
# Exemplo de como encadear telas usando o operador && (AND).
# Caso o usurio desista em qualquer tela (apertando CANCELAR
# ou ESC), o script executa o primeiro comando aps a cadeia
# de &&.
#
# til para fazer programas ou brincadeiras onde s h um
# caminho certo a seguir para chegar ao final.
#
# FLUXOGRAMA
#             INCIO
#            +-------+
#            | tela1 |--Cancel/Esc--->---+
#            +--Ok---+                   |
#            | tela2 |--Cancel/Esc--->---+     +----------+
#            +--Ok---+                   |---> | desistiu |
#            | tela3 |--Cancel/Esc--->---+     +----------+
#            +--Ok---+                   |
#            | tela4 |--Cancel/Esc--->---+
#            +--Ok---+
#            | final |
#            +-------+
#               FIM
#

# Funo rpida para chamar a caixa YesNo
simnao(){
    dialog --yesno "$*" 0 0
}

# Aqui comea o encadeamento de telas com o &&.
# Somente apertando o boto OK vai para a prxima tela.
# H um 'exit' no final, que sai do script caso o usurio
# tenha chegado at o fim da cadeia.
simnao 'Quer continuar?'                    &&
simnao 'Estamos na segunda tela. Continua?' &&
simnao 'Terceira. Continua continuando?'    &&
simnao 'Penltima tela! E agora, continua?' &&
echo 'Voc chegou at o final!'             && exit

# Este trecho j no faz mais parte do encadeamento, e s
# ser alcanado caso o usurio tenha apertado CANCELAR/Esc.
echo Voc desistiu antes de chegar no final...
